Subject: Re: FVWM: No focus on start up?

From: John Latham <[email-masked]>
Date: Tue, 20 Aug 2002 17:20:30 +0100

> Date: Tue, 20 Aug 2002 17:25:59 +0200
> From: Dominik Vogt <[email-masked]>
...

> > Having thought a little about this, I have a suggestion to make.
> > 
> > The default GrabFocus for ClickToFocus and GrabFocusOff for MouseFocus are
> > sensible, only if all windows have the same focus policy. In a mixed policy
> > regime, perhaps the policy of the window which currently has focus should be
> > taken into account before giving focus to a newly created window. I am tempted
> > to suggest another pair of styles called, say, ReleaseFocus and
> > ReleaseFocusOff.
>
> They already exist in 2.5.3-devel:
>
>   FPGrabFocus
>   FPGrabFocusTransient
>   FPOverrideGrabFocus
>   FPReleaseFocus
>   FPReleaseFocusTransient
>   FPOverrideReleaseFocus

 ...

Excellent!! I promise when I get a bit settled work wise (...), I'll start
using the devel versions for personal use so I might be more useful to you.

> Bye
> Dominik ^_^  ^_^

Best wishes, John Latham
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].